package cn.com.qmth.stmms.admin.dto;

import cn.com.qmth.stmms.biz.exam.model.ExamSubject;
import cn.com.qmth.stmms.common.annotation.ExcelField;

public class MarkInfoDTO {

    @ExcelField(title = "课程代码", align = 2, sort = 10)
    private String subjectCode;

    @ExcelField(title = "课程名称", align = 2, sort = 20)
    private String subjectName;

    @ExcelField(title = "任务总量", align = 2, sort = 30)
    private long totalCount;

    @ExcelField(title = "剩余数量", align = 2, sort = 40)
    private long leftCount;
    
    @ExcelField(title = "课程备注", align = 2, sort = 50)
    private String subjectRemark;

    public MarkInfoDTO(ExamSubject subject) {
        setSubjectCode(subject.getCode());
        setSubjectName(subject.getName());
        setSubjectRemark(subject.getRemark());
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public long getLeftCount() {
        return leftCount;
    }

    public void setLeftCount(long leftCount) {
        this.leftCount = leftCount;
    }

    public long getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(long totalCount) {
        this.totalCount = totalCount;
    }

	public String getSubjectRemark() {
		return subjectRemark;
	}

	public void setSubjectRemark(String subjectRemark) {
		this.subjectRemark = subjectRemark;
	}

}
